EGD_SENSOR_TYPE(3)

NAME
egd_sensor_type, egd_sensor_name - Get the id or name of a sensor type

SYNOPSIS

#include <eegdev.h>

int egd_sensor_type(const char* sname);
const char* egd_sensor_name(int stype);

DESCRIPTION

egd_sensor_type() returns the identifier code of the sensor type named sname. egd_sensor_name() is the reverse process: it retrieves the name of the sensor type identified by stype.

Depending on which acquisition devices have been accessed by the library, the sensor type identifier for a given name may be different from a previous program execution. However once a association has been established it is ensured that it will remain the same until the process termination. Additionally, the sensor types named "eeg", "trigger" and "undefined" are always associated respectively to 0, 1 and 2.

RETURN VALUE

In case of success, egd_sensor_type() returns a non negative value corresponding to the identifier of the sensor type called name. Otherwise it returns -1.

In case of success, egd_sensor_name() returns the name of the sensor type identified by stype. Otherwise, NULL is returned and errno is set accordingly.

ERRORS

egd_sensor_type() or egd_sensor_name() will fail if:

EINVAL
    sname is NULL or refers to an unknown sensor type or if stype is not a known sensor type identifier.

SEE ALSO
egd_get_numch(3) egd_get_cap(3)